@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Azereus-Logs leeren
::
rem ----------------------------------------------------------------------
::	2009-06-22   support@putzi4win.de
::	2010-11-01   support@putzi4win.de  Wechsel ins tools Verzeichnis
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------

rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Azereus-Logs leeren
	echo metaVERSION=1.1
	echo metaAUTHOR=Axel Hahn
	echo metaCATEGORY=Anwendungen
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaDESCRIPTION=Azereus-Logs leeren



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	
	call "%~dp0\tools\set_dirs.bat" appdata
	set DataDir1=%DIR_AppData%\Azureus\logs\
	set DataDir2=%DIR_AppData%\Azureus\tmp\

	if NOT exist "%DataDir1%" if NOT exist "%DataDir2%" echo ERROR:Es wurden keine Logs oder tmp-Daten von Azereus Vuze gefunden. && goto end

	if "%1"=="/meta" goto end

	cd /d "%0\..\tools"
	if exist "%DataDir1%" call "list_files.bat" "%DataDir1%" *.log 0 1 1 1 0
	if exist "%DataDir2%" call "list_files.bat" "%DataDir2%" *.* 0 1 1 1 0
	
	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%
	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
